Comments
List
List the scene’s comments.
GET
/
comments
List
curl --request GET \
--url http://127.0.0.1:45710/api/v1/commentsimport requests
url = "http://127.0.0.1:45710/api/v1/comments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://127.0.0.1:45710/api/v1/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "45710",
CURLOPT_URL => "http://127.0.0.1:45710/api/v1/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:45710/api/v1/comments"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:45710/api/v1/comments")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:45710/api/v1/comments")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"comments": [
{
"id": "<string>",
"n": 123,
"author": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"text": "<string>",
"at": "<string>",
"status": "open",
"marks": [
{
"kind": "pen",
"color": "<string>",
"points": [
123
]
}
],
"links": [
{
"target": "<string>",
"name": "<string>",
"detail": "<string>"
}
],
"replies": [
{
"id": "<string>",
"author": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"text": "<string>",
"at": "<string>",
"changes": [
{
"target": "<string>",
"param": "<string>",
"name": "<string>",
"before": "<unknown>",
"after": "<unknown>",
"setup": "<string>"
}
]
}
],
"resolved": {
"by": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"at": "<string>"
},
"shot": "<string>",
"setup": "<string>",
"pin": [
123,
123
],
"area": [
123,
123,
123,
123
],
"assignee": "<string>",
"taken": {
"by": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"at": "<string>"
},
"done": {
"by": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"at": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Was this page helpful?
⌘I
List
curl --request GET \
--url http://127.0.0.1:45710/api/v1/commentsimport requests
url = "http://127.0.0.1:45710/api/v1/comments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://127.0.0.1:45710/api/v1/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "45710",
CURLOPT_URL => "http://127.0.0.1:45710/api/v1/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:45710/api/v1/comments"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:45710/api/v1/comments")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:45710/api/v1/comments")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"comments": [
{
"id": "<string>",
"n": 123,
"author": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"text": "<string>",
"at": "<string>",
"status": "open",
"marks": [
{
"kind": "pen",
"color": "<string>",
"points": [
123
]
}
],
"links": [
{
"target": "<string>",
"name": "<string>",
"detail": "<string>"
}
],
"replies": [
{
"id": "<string>",
"author": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"text": "<string>",
"at": "<string>",
"changes": [
{
"target": "<string>",
"param": "<string>",
"name": "<string>",
"before": "<unknown>",
"after": "<unknown>",
"setup": "<string>"
}
]
}
],
"resolved": {
"by": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"at": "<string>"
},
"shot": "<string>",
"setup": "<string>",
"pin": [
123,
123
],
"area": [
123,
123,
123,
123
],
"assignee": "<string>",
"taken": {
"by": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"at": "<string>"
},
"done": {
"by": {
"name": "<string>",
"kind": "person",
"via": "<string>",
"picture": "<string>"
},
"at": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}